## akonadi-import-wizard 17.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
set(PIM_VERSION "5.7.3")
project(AkonadiImportWizard VERSION ${PIM_VERSION})


set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkNonGuiExecutable)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(CheckFunctionExists)
include(ECMGeneratePriFile)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)
# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()



set(KDEPIM_VERSION_NUMBER "${PIM_VERSION}")
set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")


set(KMAILTRANSPORT_LIB_VERSION "5.7.3")
set(AKONADI_VERSION "5.7.3")

set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
set(KDEPIM_LIB_SOVERSION "5")

set(QT_REQUIRED_VERSION "5.8.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Gui)
set(MAILIMPORTER_VERSION_LIB "5.7.3")
set(MAILCOMMON_LIB_VERSION_LIB "5.7.3")
set(MESSAGELIB_LIB_VERSION_LIB "5.7.3")
set(PIMCOMMON_LIB_VERSION_LIB "5.7.3")
set(LIBKDEPIM_LIB_VERSION_LIB "5.7.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.7.3")
set(KCONTACTS_LIB_VERSION "5.7.3")

# Find KF5 package
find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Auth ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DocTools ${KF5_VERSION} REQUIRED)
find_package(KF5Crash ${KF5_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_VERSION} REQUIRED)

# Find KdepimLibs Package
find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)


find_package(KF5MailCommon ${MAILCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MailImporterAkonadi ${MAILIMPORTER_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5MessageViewer ${MESSAGELIB_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION_LIB} CONFIG REQUIRED)
find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION_LIB} CONFIG REQUIRED)
include_directories(${importwizard_SOURCE_DIR} ${importwizard_BINARY_DIR})

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions( -DQT_DISABLE_DEPRECATED_BEFORE=0x060000 )
if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

add_subdirectory(src)

install( FILES importwizard.renamecategories importwizard.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

add_subdirectory(doc)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/kconf_update/CMakeLists.txt ===
install(FILES importwizard.upd
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
)
install(PROGRAMS importwizard-15.08-kickoff.sh
        DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR}
)

=== src/plugins/seamonkey/CMakeLists.txt ===
set(seamonkeyimporter_SRCS
    seamonkeyimportdata.cpp
    ../thunderbird/thunderbirdaddressbook.cpp
    ../thunderbird/thunderbirdsettings.cpp
    ../thunderbird/addressbook/MorkParser.cpp

    )

ecm_qt_declare_logging_category(seamonkeyimporter_SRCS HEADER thunderbirdplugin_debug.h
    IDENTIFIER THUNDERBIRDPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.thunderbirdplugin)
kcoreaddons_add_plugin(seamonkeyimporterplugin JSON seamonkeyimporter.json SOURCES
    ${seamonkeyimporter_SRCS} INSTALL_NAMESPACE importwizard)
set_target_properties(seamonkeyimporterplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")

target_link_libraries(seamonkeyimporterplugin
    KPim::ImportWizard
    KF5::XmlGui
    KF5::I18n
    KF5::Contacts
    KF5::MailImporterAkonadi
    KF5::MailTransport
    KF5::IdentityManagement
    KF5::MailCommon
    )

## akonadi-import-wizard 17.04.3

=== debian/changelog ===
akonadi-import-wizard (17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add lintian override on 'package-name-doesnt-match-sonames libimportwizard5'
 
  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:34:13 +0100

akonadi-import-wizard (16.12.3-0ubuntu1) artful; urgency=medium

  [ Simon Quigley ]
  * Initial split from kdepim.

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)
  * Update copyright file

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:29:00 +0100

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libassuan-dev,
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadiserver-dev (>= 4:17.04.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5auth-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:17.04.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5dnssd-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5globalaccel-dev (>= 5.31.0~),
               libkf5gpgmepp-dev,
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 17.04.3~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:17.04.3~),
               libkf5mailcommon-dev (>= 4:17.04.3~),
               libkf5mailimporter-dev (>= 4:17.04.3~),
               libkf5mailtransport-dev (>= 17.04.3~),
               libkf5messagecomposer-dev (>= 4:17.04.3~),
               libkf5messagecore-dev (>= 4:17.04.3~),
               libkf5messagelist-dev (>= 4:17.04.3~),
               libkf5messageviewer-dev (>= 4:17.04.3~),
               libkf5mimetreeparser-dev (>= 4:17.04.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:17.04.3~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5templateparser-dev (>= 4:17.04.3~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libkf5xmlrpcclient-dev (>= 5.31.0~),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5webkit5-dev (>= 5.5.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard

Package: akonadi-import-wizard
Architecture: any
Section: mail
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

## akonadi-import-wizard 17.12.3

=== debian/changelog ===
akonadi-import-wizard (17.12.3-0ubuntu2) bionic; urgency=medium

  * Remove unneeded build dependency on gpgmepp.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 19 Mar 2018 23:30:00 -0500

akonadi-import-wizard (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:21:39 +0000

akonadi-import-wizard (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:43:15 +0000

akonadi-import-wizard (17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * Split out library and development files into their own packages
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:00:03 +0000

=== debian/control ===
--- 
+++ 
@@ -14,43 +14,43 @@
                extra-cmake-modules (>= 5.31.0~),
                kross-dev (>= 5.31.0~),
                libassuan-dev,
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadiserver-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadiserver-dev (>= 4:17.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5gpgmepp-dev,
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 17.04.3~),
+               libkf5identitymanagement-dev (>= 17.12.3~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:17.04.3~),
-               libkf5mailcommon-dev (>= 4:17.04.3~),
-               libkf5mailimporter-dev (>= 4:17.04.3~),
-               libkf5mailtransport-dev (>= 17.04.3~),
-               libkf5messagecomposer-dev (>= 4:17.04.3~),
-               libkf5messagecore-dev (>= 4:17.04.3~),
-               libkf5messagelist-dev (>= 4:17.04.3~),
-               libkf5messageviewer-dev (>= 4:17.04.3~),
-               libkf5mimetreeparser-dev (>= 4:17.04.3~),
+               libkf5libkdepim-dev (>= 4:17.12.3~),
+               libkf5mailcommon-dev (>= 4:17.12.3~),
+               libkf5mailimporter-dev (>= 4:17.12.3~),
+               libkf5mailtransport-dev (>= 17.12.3~),
+               libkf5messagecomposer-dev (>= 4:17.12.3~),
+               libkf5messagecore-dev (>= 4:17.12.3~),
+               libkf5messagelist-dev (>= 4:17.12.3~),
+               libkf5messageviewer-dev (>= 4:17.12.3~),
+               libkf5mimetreeparser-dev (>= 4:17.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:17.04.3~),
+               libkf5pimcommon-dev (>= 4:17.12.3~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:17.04.3~),
+               libkf5templateparser-dev (>= 4:17.12.3~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
@@ -74,12 +74,39 @@
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
 
-Package: akonadi-import-wizard
+Package: libkpimimportwizard-dev
+Section: libdevel
 Architecture: any
-Section: mail
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
+Depends: libkf5mailtransport-dev (>= 17.12.3~),
+         libkpimimportwizard5  (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: PIM data import wizard
  akonadi-import-wizard is an assistant to import PIM data from other
  applications into Akonadi for use in KDE PIM applications
+ .
+ This package contains the import wizard developmentt files.
+
+Package: libkpimimportwizard5
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: PIM data import wizard
+ akonadi-import-wizard is an assistant to import PIM data from other
+ applications into Akonadi for use in KDE PIM applications
+ .
+ This package contains the import wizard shared libraries.
+
+Package: akonadi-import-wizard
+Section: mail
+Architecture: any
+Depends: libkpimimportwizard5  (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Homepage: http://pim.kde.org/
+Description: PIM data import wizard
+ akonadi-import-wizard is an assistant to import PIM data from other
+ applications into Akonadi for use in KDE PIM applications
+ .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
l10npkgs_firstversion_ok := 4:17.03.90-0~

KDEPIM_RUNTIME_VERSION = 4:15.07.90

include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/akonadi-import-wizard-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/akonadi-import-wizard-([\d.]+).tar.xz

## akonadi-import-wizard 18.04.3

=== debian/changelog ===
akonadi-import-wizard (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:52:28 +0100

akonadi-import-wizard (4:17.12.3-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't adopt debian autotests. They are always fail on debci
    - debian/control: Kubuntu VCS fields
    - debian/rules: l10npkgs_firstversion_ok version for Ubuntu l10n

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 02 Jun 2018 10:49:20 +0100

akonadi-import-wizard (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update symbols from buildds for 4:17.12.2
  * Update build-deps and deps with the info from cmake.
  * use secure copyright format uri.
  * Use secure uri in d/watch.
  * small fixes in copyright file.
  * Don't duplicate 'homepage' field in binary package.
  * Update package descriptions.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:21:57 +0200

akonadi-import-wizard (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.3 (No changes needed).
  * Update build-deps and deps with the info from cmake
  * Update copyright file.
  * binary was renamed update install file.
  * Add symbols files for libraries.
  * Bump debhelper build-dep and compat to 11.
  * Mark libkpimimportwizard-dev as Multi-Arch: same.
  * Mark libkpimimportwizard5 as Multi-Arch: same.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:13:10 +0100

akonadi-import-wizard (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New revision
  * Update uploaders list as requested by MIA team

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Get rid of unnessary break/replaces of kde-l10n-(ast|eo).
  * Bump debhelper build-dep and compat to 10.
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:49:09 +0100

akonadi-import-wizard (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Add missing breaks/replaces
  * Update copyright file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:08:03 +0200

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.39.0~),
               libkf5akonadi-dev (>= 4:18.04.3~),
               libkf5auth-dev (>= 5.39.0~),
               libkf5config-dev (>= 5.39.0~),
               libkf5contacts-dev (>= 4:18.04.3~),
               libkf5crash-dev (>= 5.39.0~),
               libkf5dbusaddons-dev (>= 5.39.0~),
               libkf5doctools-dev (>= 5.39.0~),
               libkf5identitymanagement-dev (>= 18.04.3~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5libkdepim-dev (>= 4:18.04.3~),
               libkf5mailcommon-dev (>= 4:18.04.3~),
               libkf5mailimporter-dev (>= 4:18.04.3~),
               libkf5mailtransport-dev (>= 18.04.3~),
               libkf5messageviewer-dev (>= 4:18.04.3~),
               libkf5pimcommon-dev (>= 4:18.04.3~),
               libkf5wallet-dev (>= 5.39.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.8.0~),
Standards-Version: 4.1.3
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard

Package: akonadi-import-wizard
Section: mail
Architecture: any
Depends: libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-doc (<< 4:17.08~),
        kmail (<< 4:17.08~),
        kontact (<< 4:17.08~),
        ${kde-l10n:all},
Replaces: kdepim-doc (<< 4:17.08~),
          kmail (<< 4:17.08~),
          kontact (<< 4:17.08~),
          ${kde-l10n:all},
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-dev (>= 18.04.3~),
         libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: PIM data import wizard - devel files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpimimportwizard5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.

## akonadi-import-wizard 18.08.1

=== debian/changelog ===
akonadi-import-wizard (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:21:38 +0200

akonadi-import-wizard (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Mon, 20 Aug 2018 15:32:36 +0200

akonadi-import-wizard (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:29:41 +0000

akonadi-import-wizard (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:17:03 +0000

akonadi-import-wizard (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:19:27 +0000

akonadi-import-wizard (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:07:13 +0000

akonadi-import-wizard (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:01:57 +0000

akonadi-import-wizard (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:45:39 +0000

akonadi-import-wizard (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:54:42 +0000

akonadi-import-wizard (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:12:26 +0000

akonadi-import-wizard (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 22:14:21 +0000

akonadi-import-wizard (4:16.11.90-0neon) xenial; urgency=medium

  * Initial release based on the split of kdepim

 -- Raymond Wooninck <tittiatcoke@gmail.com>  Mon, 12 Sep 2016 15:44:00 +0200

kdepim (4:16.08.1-1~2.gbpb36d9f) UNRELEASED; urgency=medium

  ** SNAPSHOT build @b36d9f5ab35ffde3ed81e8616b1f61966d87f80b **

  [ Maximiliano Curia ]
  * Add libkf5akonadisearch-plugins dependency to kmail.
    Thanks to Maria for reporting (Closes: 830563)
  * Add new patch: akregator_crash_on_exit.patch.
    Thanks to Ismael Bejarano for the backtrace and Sandro Knauß for the patch
    (Closes: 836011)
  * Update install files
  * Add libkf5akonadisearch-plugins dependency to kmail.
    Thanks to Maria for reporting (Closes: 830563)
  * Add new patch: akregator_crash_on_exit.patch.
    Thanks to Ismael Bejarano for the backtrace and Sandro Knauß for the patch
    (Closes: 836011)
  * Update install files
  * Update changelog for 4:16.04.3-2~1.gbp1d9499 release

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Refresh patches

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Fri, 09 Sep 2016 14:32:28 +0200

=== debian/control ===
--- 
+++ 
@@ -10,30 +10,30 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.1~),
                debhelper (>= 11),
-               extra-cmake-modules (>= 5.39.0~),
-               libkf5akonadi-dev (>= 4:18.04.3~),
-               libkf5auth-dev (>= 5.39.0~),
-               libkf5config-dev (>= 5.39.0~),
-               libkf5contacts-dev (>= 4:18.04.3~),
-               libkf5crash-dev (>= 5.39.0~),
-               libkf5dbusaddons-dev (>= 5.39.0~),
-               libkf5doctools-dev (>= 5.39.0~),
-               libkf5identitymanagement-dev (>= 18.04.3~),
-               libkf5kio-dev (>= 5.39.0~),
-               libkf5libkdepim-dev (>= 4:18.04.3~),
-               libkf5mailcommon-dev (>= 4:18.04.3~),
-               libkf5mailimporter-dev (>= 4:18.04.3~),
-               libkf5mailtransport-dev (>= 18.04.3~),
-               libkf5messageviewer-dev (>= 4:18.04.3~),
-               libkf5pimcommon-dev (>= 4:18.04.3~),
-               libkf5wallet-dev (>= 5.39.0~),
+               extra-cmake-modules (>= 5.47.0~),
+               libkf5akonadi-dev (>= 4:18.08.1~),
+               libkf5auth-dev (>= 5.47.0~),
+               libkf5config-dev (>= 5.47.0~),
+               libkf5contacts-dev (>= 4:18.08.1~),
+               libkf5crash-dev (>= 5.47.0~),
+               libkf5dbusaddons-dev (>= 5.47.0~),
+               libkf5doctools-dev (>= 5.47.0~),
+               libkf5identitymanagement-dev (>= 18.08.1~),
+               libkf5kio-dev (>= 5.47.0~),
+               libkf5libkdepim-dev (>= 4:18.08.1~),
+               libkf5mailcommon-dev (>= 4:18.08.1~),
+               libkf5mailimporter-dev (>= 4:18.08.1~),
+               libkf5mailtransport-dev (>= 18.08.1~),
+               libkf5messageviewer-dev (>= 4:18.08.1~),
+               libkf5pimcommon-dev (>= 4:18.08.1~),
+               libkf5wallet-dev (>= 5.47.0~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.8.0~),
-Standards-Version: 4.1.3
+               qtbase5-dev (>= 5.9.0~),
+Standards-Version: 4.2.1
 Homepage: http://pim.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
 
 Package: akonadi-import-wizard
 Section: mail
@@ -57,7 +57,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mailtransport-dev (>= 18.04.3~),
+Depends: libkf5mailtransport-dev (>= 18.08.1~),
          libkpimimportwizard5  (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## akonadi-import-wizard 18.08.3

=== src/plugins/evolutionv3/CMakeLists.txt ===
set(evolutionv3importer_SRCS
    evolutionaddressbook.cpp
    evolutionv3importdata.cpp
    evolutionsettings.cpp
    evolutioncalendar.cpp
    evolutionutil.cpp
    )
ecm_qt_declare_logging_category(evolutionv3importer_SRCS HEADER evolutionv3plugin_debug.h
    IDENTIFIER EVOLUTIONPLUGIN_LOG CATEGORY_NAME org.kde.pim.importwizard.evolutionplugin)

kcoreaddons_add_plugin(evolutionv3importerplugin JSON evolutionv3importer.json SOURCES
    ${evolutionv3importer_SRCS} INSTALL_NAMESPACE importwizard)
set_target_properties(evolutionv3importerplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/importwizard/")

target_link_libraries(evolutionv3importerplugin
    KPim::ImportWizard
    KF5::XmlGui
    KF5::I18n
    KF5::Contacts
    KF5::MailImporterAkonadi
    KF5::MailTransport
    KF5::MailCommon
    KF5::IdentityManagement
    KF5::MessageViewer
    )

=== debian/changelog ===
akonadi-import-wizard (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 16:04:21 +0100

=== debian/control ===
--- 
+++ 
@@ -11,26 +11,26 @@
 Build-Depends: cmake (>= 3.1~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.47.0~),
-               libkf5akonadi-dev (>= 4:18.08.1~),
+               libkf5akonadi-dev (>= 4:18.08.3~),
                libkf5auth-dev (>= 5.47.0~),
                libkf5config-dev (>= 5.47.0~),
-               libkf5contacts-dev (>= 4:18.08.1~),
+               libkf5contacts-dev (>= 4:18.08.3~),
                libkf5crash-dev (>= 5.47.0~),
                libkf5dbusaddons-dev (>= 5.47.0~),
                libkf5doctools-dev (>= 5.47.0~),
-               libkf5identitymanagement-dev (>= 18.08.1~),
+               libkf5identitymanagement-dev (>= 18.08.3~),
                libkf5kio-dev (>= 5.47.0~),
-               libkf5libkdepim-dev (>= 4:18.08.1~),
-               libkf5mailcommon-dev (>= 4:18.08.1~),
-               libkf5mailimporter-dev (>= 4:18.08.1~),
-               libkf5mailtransport-dev (>= 18.08.1~),
-               libkf5messageviewer-dev (>= 4:18.08.1~),
-               libkf5pimcommon-dev (>= 4:18.08.1~),
+               libkf5libkdepim-dev (>= 4:18.08.3~),
+               libkf5mailcommon-dev (>= 4:18.08.3~),
+               libkf5mailimporter-dev (>= 4:18.08.3~),
+               libkf5mailtransport-dev (>= 18.08.3~),
+               libkf5messageviewer-dev (>= 4:18.08.3~),
+               libkf5pimcommon-dev (>= 4:18.08.3~),
                libkf5wallet-dev (>= 5.47.0~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
@@ -57,7 +57,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mailtransport-dev (>= 18.08.1~),
+Depends: libkf5mailtransport-dev (>= 18.08.3~),
          libkpimimportwizard5  (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## akonadi-import-wizard 18.08.3.1%2Bqtbuild

=== debian/changelog ===
akonadi-import-wizard (4:18.08.3.1+qtbuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 25 Feb 2021 10:47:04 +0800

## akonadi-import-wizard 18.08.3.1+qtbuild

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.1)
-set(PIM_VERSION "5.7.3")
+set(PIM_VERSION "5.9.3")
 project(AkonadiImportWizard VERSION ${PIM_VERSION})
 
 
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -27,7 +27,7 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMCoverageOption)
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -35,26 +35,25 @@
 endif()
 
 
-
 set(KDEPIM_VERSION_NUMBER "${PIM_VERSION}")
 set(KDEPIM_VERSION "${KDEPIM_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")
 
 
-set(KMAILTRANSPORT_LIB_VERSION "5.7.3")
-set(AKONADI_VERSION "5.7.3")
+set(KMAILTRANSPORT_LIB_VERSION "5.9.3")
+set(AKONADI_VERSION "5.9.3")
 
 set(KDEPIM_LIB_VERSION "${KDEPIM_VERSION_NUMBER}")
 set(KDEPIM_LIB_SOVERSION "5")
 
-set(QT_REQUIRED_VERSION "5.8.0")
+set(QT_REQUIRED_VERSION "5.9.0")
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Gui)
-set(MAILIMPORTER_VERSION_LIB "5.7.3")
-set(MAILCOMMON_LIB_VERSION_LIB "5.7.3")
-set(MESSAGELIB_LIB_VERSION_LIB "5.7.3")
-set(PIMCOMMON_LIB_VERSION_LIB "5.7.3")
-set(LIBKDEPIM_LIB_VERSION_LIB "5.7.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.7.3")
-set(KCONTACTS_LIB_VERSION "5.7.3")
+set(MAILIMPORTER_VERSION_LIB "5.9.3")
+set(MAILCOMMON_LIB_VERSION_LIB "5.9.3")
+set(MESSAGELIB_LIB_VERSION_LIB "5.9.3")
+set(PIMCOMMON_LIB_VERSION_LIB "5.9.3")
+set(LIBKDEPIM_LIB_VERSION_LIB "5.9.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.9.3")
+set(KCONTACTS_LIB_VERSION "5.9.3")
 
 # Find KF5 package
 find_package(KF5Wallet ${KF5_VERSION} CONFIG REQUIRED)
@@ -81,10 +80,11 @@
 
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 add_definitions(-DQT_USE_QSTRINGBUILDER)
-add_definitions( -DQT_DISABLE_DEPRECATED_BEFORE=0x060000 )
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
 if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
-endif(BUILD_TESTING)
+endif()
+
 
 add_subdirectory(src)

## akonadi-import-wizard 18.12.3

=== debian/changelog ===
akonadi-import-wizard (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:43:50 +0100

akonadi-import-wizard (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:03:34 +0000

=== debian/control ===
--- 
+++ 
@@ -10,30 +10,30 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.1~),
                debhelper (>= 11),
-               extra-cmake-modules (>= 5.47.0~),
-               libkf5akonadi-dev (>= 4:18.08.3~),
-               libkf5auth-dev (>= 5.47.0~),
-               libkf5config-dev (>= 5.47.0~),
-               libkf5contacts-dev (>= 4:18.08.3~),
-               libkf5crash-dev (>= 5.47.0~),
-               libkf5dbusaddons-dev (>= 5.47.0~),
-               libkf5doctools-dev (>= 5.47.0~),
-               libkf5identitymanagement-dev (>= 18.08.3~),
-               libkf5kio-dev (>= 5.47.0~),
-               libkf5libkdepim-dev (>= 4:18.08.3~),
-               libkf5mailcommon-dev (>= 4:18.08.3~),
-               libkf5mailimporter-dev (>= 4:18.08.3~),
-               libkf5mailtransport-dev (>= 18.08.3~),
-               libkf5messageviewer-dev (>= 4:18.08.3~),
-               libkf5pimcommon-dev (>= 4:18.08.3~),
-               libkf5wallet-dev (>= 5.47.0~),
+               extra-cmake-modules (>= 5.39.0~),
+               libkf5akonadi-dev (>= 4:18.12.3~),
+               libkf5auth-dev (>= 5.39.0~),
+               libkf5config-dev (>= 5.39.0~),
+               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5crash-dev (>= 5.39.0~),
+               libkf5dbusaddons-dev (>= 5.39.0~),
+               libkf5doctools-dev (>= 5.39.0~),
+               libkf5identitymanagement-dev (>= 18.12.3~),
+               libkf5kio-dev (>= 5.39.0~),
+               libkf5libkdepim-dev (>= 4:18.12.3~),
+               libkf5mailcommon-dev (>= 4:18.12.3~),
+               libkf5mailimporter-dev (>= 4:18.12.3~),
+               libkf5mailtransport-dev (>= 18.12.3~),
+               libkf5messageviewer-dev (>= 4:18.12.3~),
+               libkf5pimcommon-dev (>= 4:18.12.3~),
+               libkf5wallet-dev (>= 5.39.0~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.9.0~),
-Standards-Version: 4.3.0
+               qtbase5-dev (>= 5.8.0~),
+Standards-Version: 4.1.3
 Homepage: http://pim.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-import-wizard
 
 Package: akonadi-import-wizard
 Section: mail
@@ -57,7 +57,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mailtransport-dev (>= 18.08.3~),
+Depends: libkf5mailtransport-dev (>= 18.12.3~),
          libkpimimportwizard5  (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## akonadi-import-wizard 19.04.3

=== debian/changelog ===
akonadi-import-wizard (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * Add upstream_fix_missing_includes.diff to fix FTBFS

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 16 Aug 2019 13:15:35 +0100

akonadi-import-wizard (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:53:08 +0100

=== debian/control ===
--- 
+++ 
@@ -11,21 +11,21 @@
 Build-Depends: cmake (>= 3.1~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.39.0~),
-               libkf5akonadi-dev (>= 4:18.12.3~),
+               libkf5akonadi-dev (>= 4:19.04.3~),
                libkf5auth-dev (>= 5.39.0~),
                libkf5config-dev (>= 5.39.0~),
-               libkf5contacts-dev (>= 4:18.12.3~),
+               libkf5contacts-dev (>= 4:19.04.3~),
                libkf5crash-dev (>= 5.39.0~),
                libkf5dbusaddons-dev (>= 5.39.0~),
                libkf5doctools-dev (>= 5.39.0~),
-               libkf5identitymanagement-dev (>= 18.12.3~),
+               libkf5identitymanagement-dev (>= 19.04.3~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5libkdepim-dev (>= 4:18.12.3~),
-               libkf5mailcommon-dev (>= 4:18.12.3~),
-               libkf5mailimporter-dev (>= 4:18.12.3~),
-               libkf5mailtransport-dev (>= 18.12.3~),
-               libkf5messageviewer-dev (>= 4:18.12.3~),
-               libkf5pimcommon-dev (>= 4:18.12.3~),
+               libkf5libkdepim-dev (>= 4:19.04.3~),
+               libkf5mailcommon-dev (>= 4:19.04.3~),
+               libkf5mailimporter-dev (>= 4:19.04.3~),
+               libkf5mailtransport-dev (>= 19.04.3~),
+               libkf5messageviewer-dev (>= 4:19.04.3~),
+               libkf5pimcommon-dev (>= 4:19.04.3~),
                libkf5wallet-dev (>= 5.39.0~),
                pkg-config,
                pkg-kde-tools (>= 0.12),
@@ -57,7 +57,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5mailtransport-dev (>= 18.12.3~),
+Depends: libkf5mailtransport-dev (>= 19.04.3~),
          libkpimimportwizard5  (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## akonadi-import-wizard 19.08.3

=== debian/changelog ===
akonadi-import-wizard (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:56:04 +0100

akonadi-import-wizard (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Remove breaks against kde-l10n packages.
  * Remove upstream applied patches.
  * Update install files for new upstream release.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:42:28 +0100

akonadi-import-wizard (4:18.08.3-4) unstable; urgency=medium

    * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:54:56 +0100

akonadi-import-wizard (4:18.08.3-3) experimental; urgency=medium

  * Fix FTBS with a patch.

 -- Sandro Knauß <hefee@debian.org>  Tue, 08 Oct 2019 23:08:19 +0200

akonadi-import-wizard (4:18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.
  * Enforce depdendencies between KDEPIM packages to enable bundling.

 -- Sandro Knauß <hefee@debian.org>  Sun, 06 Oct 2019 22:45:28 +0200

=== debian/control ===
Source: akonadi-import-wizard
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
           Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5akonadi-dev (>= 4:19.08.3~),
               libkf5auth-dev (>= 5.60.0~),
               libkf5config-dev (>= 5.60.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5crash-dev (>= 5.60.0~),
               libkf5dbusaddons-dev (>= 5.60.0~),
               libkf5doctools-dev (>= 5.60.0~),
               libkf5identitymanagement-dev (>= 19.08.3~),
               libkf5kio-dev (>= 5.60.0~),
               libkf5libkdepim-dev (>= 4:19.08.3~),
               libkf5mailcommon-dev (>= 4:19.08.3~),
               libkf5mailimporter-dev (>= 4:19.08.3~),
               libkf5mailtransport-dev (>= 19.08.3~),
               libkf5messageviewer-dev (>= 4:19.08.3~),
               libkf5pimcommon-dev (>= 4:19.08.3~),
               libkf5wallet-dev (>= 5.60.0~),
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.11.0~)
Standards-Version: 4.4.1
Homepage: http://pim.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-import-wizard.git

Package: akonadi-import-wizard
Section: mail
Architecture: any
Depends: libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PIM data import wizard
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications

Package: libkpimimportwizard-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5mailtransport-dev (>= 19.08.3~),
         libkpimimportwizard5  (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PIM data import wizard - devel files
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard developmentt files.

Package: libkpimimportwizard5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: PIM data import wizard - library
 akonadi-import-wizard is an assistant to import PIM data from other
 applications into Akonadi for use in KDE PIM applications
 .
 This package contains the import wizard shared libraries.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

# Strict local dependencies (there are no external ones anyway)
AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	$(overridden_command) -V


override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done
